<?php

class ProductController extends Controller {
    /**
     * @var CActiveRecord the currently loaded data model instance.
     */
    private $_model;

    public function actionDetails() {
        $this->loadProduct();
        $products = $this->getProducts();
        $this->render('details', array(
            'product_group'=>$this->_model,
            'products'=>$products,
            )
        );
    }
    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer the primary key value. Defaults to null, meaning using the 'id' GET variable
     */
    private function loadProduct($id=null) {
        if($this->_model===null) {
            $criteria = new CDbCriteria();
            $criteria->condition='t.deleted="0"';

            if($id!==null || isset($_GET['id'])) {
                $criteria->condition .= ' and product_group_id=:product_group_id';
                $criteria->params=array(':product_group_id'=>$id!==null ? $id : $_GET['id']);
                $this->_model=product_group::model()->with('products')->find($criteria);
            }
            if($this->_model===null) {
                /**
                 * @todo
                 * own error page
                 */
                throw new CHttpException(404,'The requested page does not exist.');
            }
        }
        return $this->_model;
    }
    private function getProducts()
    {
        $criteria = new CDbCriteria();
        $criteria->condition='t.deleted="0" and color_code=:color_code and code=:code';
        $criteria->params=array(':color_code'=>$_GET['cc'], ':code'=>$this->_model->code);
        return product::model()->findAll($criteria);
    }

}