<?php

class basket extends CActiveRecord
{
	/**
	 * The followings are the available columns in table 'basket':
	 * @var integer $basket_id
	 * @var integer $product_id
	 * @var integer $piece
	 * @var string $sessid
	 * @var string $sent
	 */

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'basket';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('product_id, piece, sessid', 'required'),
			array('product_id, piece', 'numerical', 'integerOnly'=>true),
			array('sessid', 'length', 'max'=>255),
			array('sent', 'length', 'max'=>1),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'basket_id' => 'Basket',
			'product_id' => 'Product',
			'piece' => 'Piece',
			'sessid' => 'Sessid',
			'sent' => 'Sent',
		);
	}
}