<?php

class product extends CActiveRecord
{
	/**
	 * The followings are the available columns in table 'product':
	 * @var integer $product_id
	 * @var string $code
	 * @var string $size
	 * @var string $color
	 * @var string $color_code
	 * @var string $fashion
	 * @var string $size2
	 * @var integer $price1
	 * @var integer $price2
	 * @var integer $price3
	 * @var integer $action_price1
	 * @var integer $action_price2
	 * @var integer $action_price3
	 * @var string $deleted
	 */

         /**
          *
          * @var string  $active
          */
	public $active;

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'product';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('code, size, color, color_code, fashion, size2', 'required'),
			array('price1, price2, price3, action_price1, action_price2, action_price3', 'numerical', 'integerOnly'=>true),
			array('code, size, size2', 'length', 'max'=>10),
			array('color', 'length', 'max'=>20),
			array('color_code, fashion', 'length', 'max'=>4),
			array('deleted', 'length', 'max'=>1),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'code0' => array(self::BELONGS_TO, 'ProductGroup', 'code'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'product_id' => 'Product',
			'code' => 'Code',
			'size' => 'Size',
			'color' => 'Color',
			'color_code' => 'Color Code',
			'fashion' => 'Fashion',
			'size2' => 'Size2',
			'price1' => 'Price1',
			'price2' => 'Price2',
			'price3' => 'Price3',
			'action_price1' => 'Action Price1',
			'action_price2' => 'Action Price2',
			'action_price3' => 'Action Price3',
			'deleted' => 'Deleted',
		);
	}
}